Accounts
Update an account
Updates an account.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Request Body
application/json
Account payload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://api.sandbox.billingrails.com/v1/accounts/acc_IhMUl3rrZ3" \ -H "Content-Type: application/json" \ -d '{ "invoice_settings": { "grace_period_days": 10, "net_term_days": 45, "number_prefix": "BILL", "locale": "en" } }'{
"account": {
"object": "account",
"id": "acc_IhMUl3rrZ3",
"type": "individual",
"name": "John Doe",
"email": "john@example.com",
"country": "NG",
"created_at": "2025-02-14T17:33:40.843Z",
"default_currency": "USD",
"external_id": "test_account",
"timezone": "UTC",
"invoice_settings": {
"grace_period_days": 0,
"net_term_days": 30,
"number_prefix": "INV",
"locale": "en"
},
"metadata": null
},
"meta": {
"request_id": "req_IhMUl3rrZ3"
}
}